import hashlib
import time
import datetime


print(datetime.datetime.now())




hash = hashlib.sha1()
a = str(time.time())
print(time.ctime(time.time()))
print('---')

print(a)
hash.update(a.encode())
print (hash.hexdigest())
print (hash.hexdigest()[:10])